{
  lib,
  rustPlatform,
  fetchFromGitHub,
}:

rustPlatform.buildRustPackage rec {
  pname = "okc-agents";
  version = "0.1.2";

  src = fetchFromGitHub {
    owner = "DDoSolitary";
    repo = "okc-agents";
    rev = "v${version}";
    hash = "sha256-UFcsnzsoN15xXDY7hVyRjAj6+/ffefu/gcnxSjt6l+E=";
  };

  cargoHash = "sha256-lsb9oR+BkXrXisa4rVKwCwiAWqE2mmhdrnxcv0/QDzk=";

  meta = {
    description = "";
    homepage = "https://github.com/DDoSolitary/okc-agents.git";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "okc-agents";
  };
}
